CURLINFO_REQUEST_SIZE(3)

NAME
CURLINFO_REQUEST_SIZE - size of sent request

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_REQUEST_SIZE, long *sizep);

DESCRIPTION
Pass a pointer to a long to receive the total size of the issued requests. This is so far only for HTTP requests. Note that this may be more than one request if CURLOPT_FOLLOWLOCATION(3) is enabled.

PROTOCOLS
This functionality affects all supported protocols

EXAMPLE
int main(void)
{
  CURL *curl = curl_easy_init();
  if(curl) {
    CURLcode result;
    curl_easy_setopt(curl, CURLOPT_URL, "https://example.com");
    result = curl_easy_perform(curl);
    if(result == CURLE_OK) {
      long req;
      result = curl_easy_getinfo(curl, CURLINFO_REQUEST_SIZE, &req);
      if(!result)
        printf("Request size: %ld bytes\n", req);
    }
    curl_easy_cleanup(curl);
  }
}

AVAILABILITY
Added in curl 7.4.1

RETURN VALUE
curl_easy_getinfo(3) returns a CURLcode indicating success or error. CURLE_OK (0) means everything was OK, non-zero means an error occurred, see libcurl-errors(3).

SEE ALSO
CURLINFO_HEADER_SIZE(3), CURLINFO_SIZE_DOWNLOAD_T(3), curl_easy_getinfo(3), curl_easy_setopt(3)